# terminalApi.createTerminalCheckout allowTipping not work

**URL:** <https://developer.squareup.com/forums/t/terminalapi-createterminalcheckout-allowtipping-not-work/6256>\
**Category:** Questions\
**Tags:** terminal-api\
**Created:** [June 20, 2022, 3:24am UTC](https://developer.squareup.com/forums/t/terminalapi-createterminalcheckout-allowtipping-not-work/6256 "2022-06-20T03:24:54Z")\
**Posts on this page:** 2\
**Page:** 1

<div class="post-metadata">

**Author:** ![fukun](https://avatars.discourse-cdn.com/v4/letter/f/cc9497/32.png) [@fukun](https://developer.squareup.com/forums/u/fukun)\
**Post date:** [June 20, 2022, 3:24am UTC](https://developer.squareup.com/forums/t/terminalapi-createterminalcheckout-allowtipping-not-work/6256/1 "2022-06-20T03:24:54Z")

</div>

curl [https://connect.squareupsandbox.com/v2/terminals/checkouts](https://connect.squareupsandbox.com/v2/terminals/checkouts)   
-X POST   
-H ‘Square-Version: 2022-06-16’   
-H ‘Authorization: Bearer ACCESS\_TOKEN’   
-H ‘Content-Type: application/json’   
-d ‘{  
“idempotency\_key”: “2808d199-aedc-401f-8e99-b0da82860bab”,  
“checkout”: {  
“amount\_money”: {  
“amount”: 1200,  
“currency”: “USD”  
},  
“device\_options”: {  
“device\_id”: “22cd266c-6246-4c06-9983-67f0c26346b0”,  
“tip\_settings”: {  
“allow\_tipping”: false  
}  
},  
“payment\_options”: {},  
“note”: “xxxxx”  
}  
}’

I want create a no tip checkout, but not work, 20% tip automatically charged

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [June 20, 2022, 2:44pm UTC](https://developer.squareup.com/forums/t/terminalapi-createterminalcheckout-allowtipping-not-work/6256/2 "2022-06-20T14:44:54Z")

</div>

👋 I just tested what you provided and it worked as expected. Are you rotating a new value for the `idempotency_key` for each request?

Also in the future please don’t share your access token, they are secret. I’d recommend rotating the access token since it was publicly posted. 🙂
